Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class AnalyzerFactory

    java.lang.Object
      org.crosswire.jsword.index.lucene.analysis.AnalyzerFactory

    public final class AnalyzerFactory

extends Object

A factory creating the appropriate Analyzer for natural language analysis of text for Lucene Indexing and Query Parsing. Note: [Lang] refers to CommonName for ISO639 Language Dependency: Analyzer from lucene contrib: lucene-analyzers-[version].jar, lucene-smartcn-[version].jar, lucene-snowball-[version].jar Properties used: <Key> : <Value> Default.Analyzer : The default analyzer class [Lang].Analyzer : Appropriate Analyzer class to be used for the language of the book

Author:
  Sijo Cherian
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`static String` | `DEFAULT_ID`
`private static org.slf4j.Logger` | `log` The log stream
`private static AnalyzerFactory` | `myInstance`
`private PropertyMap` | `myProperties`

Constructor Summary
`private` | `AnalyzerFactory()`

Method Summary
`AbstractBookAnalyzer` | `createAnalyzer(Book book)`
`String` | `getAnalyzerValue(Language lang)`
`boolean` | `getDefaultStemmingProperty()`
`boolean` | `getDefaultStopWordProperty()`
`static AnalyzerFactory` | `getInstance()`
`private void` | `loadProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ID

    public static final String DEFAULT_ID

See Also:
  Constant Field Values

### myInstance

    private static AnalyzerFactory myInstance

### myProperties

    private PropertyMap myProperties

### log

    private static final org.slf4j.Logger log

  The log stream

Constructor Detail

### AnalyzerFactory

    private AnalyzerFactory()

Method Detail

### createAnalyzer

    public AbstractBookAnalyzer createAnalyzer(Book book)

### getInstance

    public static AnalyzerFactory getInstance()

### getAnalyzerValue

    public String getAnalyzerValue(Language lang)

### getDefaultStemmingProperty

    public boolean getDefaultStemmingProperty()

### getDefaultStopWordProperty

    public boolean getDefaultStopWordProperty()

### loadProperties

    private void loadProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD